"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Nav_Basic_Example_1 = require("./examples/Nav.Basic.Example");
var Nav_FabricDemoApp_Example_1 = require("./examples/Nav.FabricDemoApp.Example");
var Nav_Nested_Example_1 = require("./examples/Nav.Nested.Example");
var Nav_ByKeys_Example_1 = require("./examples/Nav.ByKeys.Example");
var Nav_checklist_1 = require("./Nav.checklist");
var NavBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Basic.Example.tsx');
var NavFabricDemoAppExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.FabricDemoApp.Example.tsx');
var NavNestedExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.Nested.Example.tsx');
var NavByKeysExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Nav/examples/Nav.ByKeys.Example.tsx');
exports.NavPageProps = {
    title: 'Nav',
    componentName: 'Nav',
    componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Nav',
    componentStatus: Nav_checklist_1.NavStatus,
    examples: [
        {
            title: 'Basic Nav bar with sample links',
            code: NavBasicExampleCode,
            view: React.createElement(Nav_Basic_Example_1.NavBasicExample, null)
        },
        {
            title: 'Navigation menu used in this Fabric React demo app',
            code: NavFabricDemoAppExampleCode,
            view: React.createElement(Nav_FabricDemoApp_Example_1.NavFabricDemoAppExample, null)
        },
        {
            title: 'Nested navigation menu (without group header)',
            code: NavNestedExampleCode,
            view: React.createElement(Nav_Nested_Example_1.NavNestedExample, null)
        },
        {
            title: 'Nav bar of links each with unique keys and empty urls',
            code: NavByKeysExampleCode,
            view: React.createElement(Nav_ByKeys_Example_1.NavByKeysExample, null)
        }
    ],
    propertiesTablesSources: [require('!raw-loader!office-ui-fabric-react/src/components/Nav/Nav.types.ts')],
    overview: require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavOverview.md'),
    bestPractices: '',
    dos: require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavDos.md'),
    donts: require('!raw-loader!office-ui-fabric-react/src/components/Nav/docs/NavDonts.md'),
    isHeaderVisible: true
};
//# sourceMappingURL=Nav.doc.js.map