import * as React from 'react';
import { TooltipCustomExample } from './examples/Tooltip.Custom.Example';
import { TooltipBasicExample } from './examples/Tooltip.Basic.Example';
import { TooltipInteractiveExample } from './examples/Tooltip.Interactive.Example';
import { TooltipOverflowExample } from './examples/Tooltip.Overflow.Example';
import { TooltipStatus } from './Tooltip.checklist';
import './TooltipPage.global.scss';
var TooltipBasicExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Basic.Example.tsx');
var TooltipCustomExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Custom.Example.tsx');
var TooltipInteractiveExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Interactive.Example.tsx');
var TooltipOverflowExampleCode = require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/examples/Tooltip.Overflow.Example.tsx');
export var TooltipPageProps = {
    title: 'Tooltip',
    componentName: 'Tooltip',
    componentUrl: 'https://github.com/OfficeDev/office-ui-fabric-react/tree/master/packages/office-ui-fabric-react/src/components/Tooltip',
    componentStatus: TooltipStatus,
    examples: [
        {
            title: 'Default Tooltip',
            code: TooltipBasicExampleCode,
            view: React.createElement(TooltipBasicExample, null)
        },
        {
            title: 'Tooltip with list',
            code: TooltipCustomExampleCode,
            view: React.createElement(TooltipCustomExample, null)
        },
        {
            title: 'Tooltip with a closing delay',
            code: TooltipInteractiveExampleCode,
            view: React.createElement(TooltipInteractiveExample, null)
        },
        {
            title: 'Tooltip only on overflow',
            code: TooltipOverflowExampleCode,
            view: React.createElement(TooltipOverflowExample, null)
        }
    ],
    propertiesTablesSources: [
        require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/Tooltip.types.ts'),
        require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/TooltipHost.types.ts')
    ],
    overview: require('!raw-loader!office-ui-fabric-react/src/components/Tooltip/docs/TooltipOverview.md'),
    isHeaderVisible: true,
    allowNativeProps: true
};
//# sourceMappingURL=Tooltip.doc.js.map